## gate.swing
Class JTreeTable.MouseHandler

    java.lang.Object
      |
      +--java.awt.event.MouseAdapter
            |
            +--gate.swing.JTreeTable.MouseHandler

All Implemented Interfaces:
  EventListener, MouseListener

Enclosing class:
  JTreeTable

class JTreeTable.MouseHandler
extends MouseAdapter

Class used to convert the mouse events from the JTreeTable component space into the JTree space. It is used to forward the mouse events to the tree if they occured in the space used by the tree.

Constructor Summary
`(package private)` `JTreeTable.MouseHandler()`

Method Summary
`protected MouseEvent` `convertEvent(MouseEvent e)`
`void` `mouseClicked(MouseEvent e)`
`void` `mouseEntered(MouseEvent e)`
`void` `mouseExited(MouseEvent e)`
`void` `mousePressed(MouseEvent e)`
`void` `mouseReleased(MouseEvent e)`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### JTreeTable.MouseHandler

    JTreeTable.MouseHandler()

Method Detail

### mousePressed

    public void mousePressed(MouseEvent e)

  Overrides:
    `mousePressed` in class `MouseAdapter`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Overrides:
    `mouseReleased` in class `MouseAdapter`

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Overrides:
    `mouseClicked` in class `MouseAdapter`

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Overrides:
    `mouseEntered` in class `MouseAdapter`

### mouseExited

    public void mouseExited(MouseEvent e)

  Overrides:
    `mouseExited` in class `MouseAdapter`

### convertEvent

    protected MouseEvent convertEvent(MouseEvent e)